From 33346b4789479eeec504a50077cbe97e06ab9ede Mon Sep 17 00:00:00 2001
From: Davide Cavalca <dcavalca@centosproject.org>
Date: Jun 13 2024 03:54:43 +0000
Subject: [PATCH 1/3] Refactor in preparation for CentOS Stream 10


---

diff --git a/mock/centos-stream-hyperscale-9-aarch64.cfg b/mock/centos-stream-hyperscale-9-aarch64.cfg
index 63cc78e..197bdce 100644
--- a/mock/centos-stream-hyperscale-9-aarch64.cfg
+++ b/mock/centos-stream-hyperscale-9-aarch64.cfg
@@ -1,7 +1,7 @@
 include('templates/centos-stream-9.tpl')
 include('templates/epel-9.tpl')
 include('templates/epel-next-9.tpl')
-include('templates/centos-stream-hyperscale-9.tpl')
+include('templates/centos-stream-hyperscale.tpl')
 
 config_opts['root'] = 'centos-stream-hyperscale-9-aarch64'
 config_opts['target_arch'] = 'aarch64'
diff --git a/mock/centos-stream-hyperscale-9-x86_64.cfg b/mock/centos-stream-hyperscale-9-x86_64.cfg
index 5c99280..7e3aaa3 100644
--- a/mock/centos-stream-hyperscale-9-x86_64.cfg
+++ b/mock/centos-stream-hyperscale-9-x86_64.cfg
@@ -1,7 +1,7 @@
 include('templates/centos-stream-9.tpl')
 include('templates/epel-9.tpl')
 include('templates/epel-next-9.tpl')
-include('templates/centos-stream-hyperscale-9.tpl')
+include('templates/centos-stream-hyperscale.tpl')
 
 config_opts['root'] = 'centos-stream-hyperscale-9-x86_64'
 config_opts['target_arch'] = 'x86_64'
diff --git a/mock/centos-stream-hyperscale-experimental-9-aarch64.cfg b/mock/centos-stream-hyperscale-experimental-9-aarch64.cfg
index a89a32d..61b5cc3 100644
--- a/mock/centos-stream-hyperscale-experimental-9-aarch64.cfg
+++ b/mock/centos-stream-hyperscale-experimental-9-aarch64.cfg
@@ -1,7 +1,7 @@
 include('templates/centos-stream-9.tpl')
 include('templates/epel-9.tpl')
 include('templates/epel-next-9.tpl')
-include('templates/centos-stream-hyperscale-experimental-9.tpl')
+include('templates/centos-stream-hyperscale-experimental.tpl')
 
 config_opts['root'] = 'centos-stream-hyperscale-experimental-9-aarch64'
 config_opts['target_arch'] = 'aarch64'
diff --git a/mock/centos-stream-hyperscale-experimental-9-x86_64.cfg b/mock/centos-stream-hyperscale-experimental-9-x86_64.cfg
index 69f888f..96cd59e 100644
--- a/mock/centos-stream-hyperscale-experimental-9-x86_64.cfg
+++ b/mock/centos-stream-hyperscale-experimental-9-x86_64.cfg
@@ -1,7 +1,7 @@
 include('templates/centos-stream-9.tpl')
 include('templates/epel-9.tpl')
 include('templates/epel-next-9.tpl')
-include('templates/centos-stream-hyperscale-experimental-9.tpl')
+include('templates/centos-stream-hyperscale-experimental.tpl')
 
 config_opts['root'] = 'centos-stream-hyperscale-experimental-9-x86_64'
 config_opts['target_arch'] = 'x86_64'
diff --git a/mock/centos-stream-hyperscale-facebook-9-aarch64.cfg b/mock/centos-stream-hyperscale-facebook-9-aarch64.cfg
index 2e19dbf..c852a33 100644
--- a/mock/centos-stream-hyperscale-facebook-9-aarch64.cfg
+++ b/mock/centos-stream-hyperscale-facebook-9-aarch64.cfg
@@ -1,9 +1,9 @@
 include('templates/centos-stream-9.tpl')
 include('templates/epel-9.tpl')
 include('templates/epel-next-9.tpl')
-include('templates/centos-stream-hyperscale-9.tpl')
-include('templates/centos-stream-hyperscale-experimental-9.tpl')
-include('templates/centos-stream-hyperscale-facebook-9.tpl')
+include('templates/centos-stream-hyperscale.tpl')
+include('templates/centos-stream-hyperscale-experimental.tpl')
+include('templates/centos-stream-hyperscale-facebook.tpl')
 
 config_opts['root'] = 'centos-stream-hyperscale-facebook-9-aarch64'
 config_opts['target_arch'] = 'aarch64'
diff --git a/mock/centos-stream-hyperscale-facebook-9-x86_64.cfg b/mock/centos-stream-hyperscale-facebook-9-x86_64.cfg
index 75b5094..43ae1c5 100644
--- a/mock/centos-stream-hyperscale-facebook-9-x86_64.cfg
+++ b/mock/centos-stream-hyperscale-facebook-9-x86_64.cfg
@@ -1,9 +1,9 @@
 include('templates/centos-stream-9.tpl')
 include('templates/epel-9.tpl')
 include('templates/epel-next-9.tpl')
-include('templates/centos-stream-hyperscale-9.tpl')
-include('templates/centos-stream-hyperscale-experimental-9.tpl')
-include('templates/centos-stream-hyperscale-facebook-9.tpl')
+include('templates/centos-stream-hyperscale.tpl')
+include('templates/centos-stream-hyperscale-experimental.tpl')
+include('templates/centos-stream-hyperscale-facebook.tpl')
 
 config_opts['root'] = 'centos-stream-hyperscale-facebook-9-x86_64'
 config_opts['target_arch'] = 'x86_64'
diff --git a/mock/centos-stream-hyperscale-spin-9-aarch64.cfg b/mock/centos-stream-hyperscale-spin-9-aarch64.cfg
index f33ee8d..4fbf518 100644
--- a/mock/centos-stream-hyperscale-spin-9-aarch64.cfg
+++ b/mock/centos-stream-hyperscale-spin-9-aarch64.cfg
@@ -1,7 +1,7 @@
 include('templates/centos-stream-9.tpl')
 include('templates/epel-9.tpl')
 include('templates/epel-next-9.tpl')
-include('templates/centos-stream-hyperscale-spin-9.tpl')
+include('templates/centos-stream-hyperscale-spin.tpl')
 
 config_opts['root'] = 'centos-stream-hyperscale-spin-9-aarch64'
 config_opts['target_arch'] = 'aarch64'
diff --git a/mock/centos-stream-hyperscale-spin-9-x86_64.cfg b/mock/centos-stream-hyperscale-spin-9-x86_64.cfg
index 617f42c..e293e10 100644
--- a/mock/centos-stream-hyperscale-spin-9-x86_64.cfg
+++ b/mock/centos-stream-hyperscale-spin-9-x86_64.cfg
@@ -1,7 +1,7 @@
 include('templates/centos-stream-9.tpl')
 include('templates/epel-9.tpl')
 include('templates/epel-next-9.tpl')
-include('templates/centos-stream-hyperscale-spin-9.tpl')
+include('templates/centos-stream-hyperscale-spin.tpl')
 
 config_opts['root'] = 'centos-stream-hyperscale-spin-9-x86_64'
 config_opts['target_arch'] = 'x86_64'
diff --git a/mock/templates/centos-stream-hyperscale-9.tpl b/mock/templates/centos-stream-hyperscale-9.tpl
deleted file mode 100644
index 8005397..0000000
--- a/mock/templates/centos-stream-hyperscale-9.tpl
+++ /dev/null
@@ -1,12 +0,0 @@
-config_opts['chroot_setup_cmd'] += " centos-release-hyperscale"
-
-config_opts['dnf.conf'] += """
-
-[Stream-hyperscale]
-name=CentOS Stream $releasever - Hyperscale
-metalink=https://mirrors.centos.org/metalink?repo=centos-hyperscale-sig-packages-main-$releasever-stream&arch=$basearch&protocol=https,http
-#baseurl=http://mirror.stream.centos.org/SIGs/$releasever-stream/hyperscale/$basearch/packages-main/
-gpgcheck=1
-enabled=1
-gpgkey=file:///usr/share/distribution-gpg-keys/centos/RPM-GPG-KEY-CentOS-SIG-HyperScale
-"""
diff --git a/mock/templates/centos-stream-hyperscale-experimental-9.tpl b/mock/templates/centos-stream-hyperscale-experimental-9.tpl
deleted file mode 100644
index 19535a2..0000000
--- a/mock/templates/centos-stream-hyperscale-experimental-9.tpl
+++ /dev/null
@@ -1,12 +0,0 @@
-config_opts['chroot_setup_cmd'] += " centos-release-hyperscale-experimental"
-
-config_opts['dnf.conf'] += """
-
-[Stream-hyperscale-experimental]
-name=CentOS Stream $releasever - Hyperscale Experimental
-metalink=https://mirrors.centos.org/metalink?repo=centos-hyperscale-sig-packages-experimental-$releasever-stream&arch=$basearch&protocol=https,http
-#baseurl=http://mirror.stream.centos.org/SIGs/$releasever-stream/hyperscale/$basearch/packages-experimental/
-gpgcheck=1
-enabled=1
-gpgkey=file:///usr/share/distribution-gpg-keys/centos/RPM-GPG-KEY-CentOS-SIG-HyperScale
-"""
diff --git a/mock/templates/centos-stream-hyperscale-experimental.tpl b/mock/templates/centos-stream-hyperscale-experimental.tpl
new file mode 100644
index 0000000..19535a2
--- /dev/null
+++ b/mock/templates/centos-stream-hyperscale-experimental.tpl
@@ -0,0 +1,12 @@
+config_opts['chroot_setup_cmd'] += " centos-release-hyperscale-experimental"
+
+config_opts['dnf.conf'] += """
+
+[Stream-hyperscale-experimental]
+name=CentOS Stream $releasever - Hyperscale Experimental
+metalink=https://mirrors.centos.org/metalink?repo=centos-hyperscale-sig-packages-experimental-$releasever-stream&arch=$basearch&protocol=https,http
+#baseurl=http://mirror.stream.centos.org/SIGs/$releasever-stream/hyperscale/$basearch/packages-experimental/
+gpgcheck=1
+enabled=1
+gpgkey=file:///usr/share/distribution-gpg-keys/centos/RPM-GPG-KEY-CentOS-SIG-HyperScale
+"""
diff --git a/mock/templates/centos-stream-hyperscale-facebook-9.tpl b/mock/templates/centos-stream-hyperscale-facebook-9.tpl
deleted file mode 100644
index d7ce06d..0000000
--- a/mock/templates/centos-stream-hyperscale-facebook-9.tpl
+++ /dev/null
@@ -1,10 +0,0 @@
-config_opts['dnf.conf'] += """
-
-[Stream-hyperscale-facebook]
-name=CentOS Stream $releasever - Hyperscale Facebook
-metalink=https://mirrors.centos.org/metalink?repo=centos-hyperscale-sig-packages-facebook-$releasever-stream&arch=$basearch&protocol=https,http
-#baseurl=http://mirror.stream.centos.org/SIGs/$releasever-stream/hyperscale/$basearch/packages-facebook/
-gpgcheck=1
-enabled=1
-gpgkey=file:///usr/share/distribution-gpg-keys/centos/RPM-GPG-KEY-CentOS-SIG-HyperScale
-"""
diff --git a/mock/templates/centos-stream-hyperscale-facebook.tpl b/mock/templates/centos-stream-hyperscale-facebook.tpl
new file mode 100644
index 0000000..d7ce06d
--- /dev/null
+++ b/mock/templates/centos-stream-hyperscale-facebook.tpl
@@ -0,0 +1,10 @@
+config_opts['dnf.conf'] += """
+
+[Stream-hyperscale-facebook]
+name=CentOS Stream $releasever - Hyperscale Facebook
+metalink=https://mirrors.centos.org/metalink?repo=centos-hyperscale-sig-packages-facebook-$releasever-stream&arch=$basearch&protocol=https,http
+#baseurl=http://mirror.stream.centos.org/SIGs/$releasever-stream/hyperscale/$basearch/packages-facebook/
+gpgcheck=1
+enabled=1
+gpgkey=file:///usr/share/distribution-gpg-keys/centos/RPM-GPG-KEY-CentOS-SIG-HyperScale
+"""
diff --git a/mock/templates/centos-stream-hyperscale-spin-9.tpl b/mock/templates/centos-stream-hyperscale-spin-9.tpl
deleted file mode 100644
index 012ebc2..0000000
--- a/mock/templates/centos-stream-hyperscale-spin-9.tpl
+++ /dev/null
@@ -1,12 +0,0 @@
-config_opts['chroot_setup_cmd'] += " centos-release-hyperscale-spin"
-
-config_opts['dnf.conf'] += """
-
-[Stream-hyperscale-spin]
-name=CentOS Stream $releasever - Hyperscale Spin
-metalink=https://mirrors.centos.org/metalink?repo=centos-hyperscale-sig-packages-spin-$releasever-stream&arch=$basearch&protocol=https,http
-#baseurl=http://mirror.stream.centos.org/SIGs/$releasever-stream/hyperscale/$basearch/packages-spin/
-gpgcheck=1
-enabled=1
-gpgkey=file:///usr/share/distribution-gpg-keys/centos/RPM-GPG-KEY-CentOS-SIG-HyperScale
-"""
diff --git a/mock/templates/centos-stream-hyperscale-spin.tpl b/mock/templates/centos-stream-hyperscale-spin.tpl
new file mode 100644
index 0000000..012ebc2
--- /dev/null
+++ b/mock/templates/centos-stream-hyperscale-spin.tpl
@@ -0,0 +1,12 @@
+config_opts['chroot_setup_cmd'] += " centos-release-hyperscale-spin"
+
+config_opts['dnf.conf'] += """
+
+[Stream-hyperscale-spin]
+name=CentOS Stream $releasever - Hyperscale Spin
+metalink=https://mirrors.centos.org/metalink?repo=centos-hyperscale-sig-packages-spin-$releasever-stream&arch=$basearch&protocol=https,http
+#baseurl=http://mirror.stream.centos.org/SIGs/$releasever-stream/hyperscale/$basearch/packages-spin/
+gpgcheck=1
+enabled=1
+gpgkey=file:///usr/share/distribution-gpg-keys/centos/RPM-GPG-KEY-CentOS-SIG-HyperScale
+"""
diff --git a/mock/templates/centos-stream-hyperscale.tpl b/mock/templates/centos-stream-hyperscale.tpl
new file mode 100644
index 0000000..8005397
--- /dev/null
+++ b/mock/templates/centos-stream-hyperscale.tpl
@@ -0,0 +1,12 @@
+config_opts['chroot_setup_cmd'] += " centos-release-hyperscale"
+
+config_opts['dnf.conf'] += """
+
+[Stream-hyperscale]
+name=CentOS Stream $releasever - Hyperscale
+metalink=https://mirrors.centos.org/metalink?repo=centos-hyperscale-sig-packages-main-$releasever-stream&arch=$basearch&protocol=https,http
+#baseurl=http://mirror.stream.centos.org/SIGs/$releasever-stream/hyperscale/$basearch/packages-main/
+gpgcheck=1
+enabled=1
+gpgkey=file:///usr/share/distribution-gpg-keys/centos/RPM-GPG-KEY-CentOS-SIG-HyperScale
+"""

From 5a473ad929868274a3c9a8bfca8a49151e8bbae9 Mon Sep 17 00:00:00 2001
From: Davide Cavalca <dcavalca@centosproject.org>
Date: Jun 13 2024 04:10:27 +0000
Subject: [PATCH 2/3] Add configs for CentOS Stream 10


---

diff --git a/mock/centos-stream-hyperscale-10-aarch64.cfg b/mock/centos-stream-hyperscale-10-aarch64.cfg
new file mode 100644
index 0000000..c5d86e7
--- /dev/null
+++ b/mock/centos-stream-hyperscale-10-aarch64.cfg
@@ -0,0 +1,11 @@
+include('templates/centos-stream-10.tpl')
+# EPEL 10 is not available yet
+# include('templates/epel-10.tpl')
+include('templates/centos-stream-hyperscale.tpl')
+
+config_opts['root'] = 'centos-stream-hyperscale-10-aarch64'
+config_opts['target_arch'] = 'aarch64'
+config_opts['legal_host_arches'] = ('aarch64',)
+
+config_opts['macros']['%dist'] = ".hs.el10"
+config_opts['macros']['%centos_hs'] = "1"
diff --git a/mock/centos-stream-hyperscale-10-x86_64.cfg b/mock/centos-stream-hyperscale-10-x86_64.cfg
new file mode 100644
index 0000000..bb40099
--- /dev/null
+++ b/mock/centos-stream-hyperscale-10-x86_64.cfg
@@ -0,0 +1,11 @@
+include('templates/centos-stream-10.tpl')
+# EPEL 10 is not available yet
+# include('templates/epel-10.tpl')
+include('templates/centos-stream-hyperscale.tpl')
+
+config_opts['root'] = 'centos-stream-hyperscale-10-x86_64'
+config_opts['target_arch'] = 'x86_64'
+config_opts['legal_host_arches'] = ('x86_64',)
+
+config_opts['macros']['%dist'] = ".hs.el10"
+config_opts['macros']['%centos_hs'] = "1"
diff --git a/mock/centos-stream-hyperscale-experimental-10-aarch64.cfg b/mock/centos-stream-hyperscale-experimental-10-aarch64.cfg
new file mode 100644
index 0000000..05722fb
--- /dev/null
+++ b/mock/centos-stream-hyperscale-experimental-10-aarch64.cfg
@@ -0,0 +1,11 @@
+include('templates/centos-stream-10.tpl')
+# EPEL 10 is not available yet
+# include('templates/epel-10.tpl')
+include('templates/centos-stream-hyperscale-experimental.tpl')
+
+config_opts['root'] = 'centos-stream-hyperscale-experimental-10-aarch64'
+config_opts['target_arch'] = 'aarch64'
+config_opts['legal_host_arches'] = ('aarch64',)
+
+config_opts['macros']['%dist'] = ".hsx.el10"
+config_opts['macros']['%centos_hs'] = "1"
diff --git a/mock/centos-stream-hyperscale-experimental-10-x86_64.cfg b/mock/centos-stream-hyperscale-experimental-10-x86_64.cfg
new file mode 100644
index 0000000..f057e05
--- /dev/null
+++ b/mock/centos-stream-hyperscale-experimental-10-x86_64.cfg
@@ -0,0 +1,11 @@
+include('templates/centos-stream-10.tpl')
+# EPEL 10 is not available yet
+# include('templates/epel-10.tpl')
+include('templates/centos-stream-hyperscale-experimental.tpl')
+
+config_opts['root'] = 'centos-stream-hyperscale-experimental-10-x86_64'
+config_opts['target_arch'] = 'x86_64'
+config_opts['legal_host_arches'] = ('x86_64',)
+
+config_opts['macros']['%dist'] = ".hsx.el10"
+config_opts['macros']['%centos_hs'] = "1"
diff --git a/mock/centos-stream-hyperscale-facebook-10-aarch64.cfg b/mock/centos-stream-hyperscale-facebook-10-aarch64.cfg
new file mode 100644
index 0000000..e63338f
--- /dev/null
+++ b/mock/centos-stream-hyperscale-facebook-10-aarch64.cfg
@@ -0,0 +1,14 @@
+include('templates/centos-stream-10.tpl')
+# EPEL 10 is not available yet
+# include('templates/epel-10.tpl')
+include('templates/centos-stream-hyperscale.tpl')
+include('templates/centos-stream-hyperscale-experimental.tpl')
+include('templates/centos-stream-hyperscale-facebook.tpl')
+
+config_opts['root'] = 'centos-stream-hyperscale-facebook-10-aarch64'
+config_opts['target_arch'] = 'aarch64'
+config_opts['legal_host_arches'] = ('aarch64',)
+
+config_opts['macros']['%dist'] = ".hs+fb.el10"
+config_opts['macros']['%centos_hs'] = "1"
+config_opts['macros']['%facebook'] = "1"
diff --git a/mock/centos-stream-hyperscale-facebook-10-x86_64.cfg b/mock/centos-stream-hyperscale-facebook-10-x86_64.cfg
new file mode 100644
index 0000000..53c4c92
--- /dev/null
+++ b/mock/centos-stream-hyperscale-facebook-10-x86_64.cfg
@@ -0,0 +1,14 @@
+include('templates/centos-stream-10.tpl')
+# EPEL 10 is not available yet
+# include('templates/epel-10.tpl')
+include('templates/centos-stream-hyperscale.tpl')
+include('templates/centos-stream-hyperscale-experimental.tpl')
+include('templates/centos-stream-hyperscale-facebook.tpl')
+
+config_opts['root'] = 'centos-stream-hyperscale-facebook-10-x86_64'
+config_opts['target_arch'] = 'x86_64'
+config_opts['legal_host_arches'] = ('x86_64',)
+
+config_opts['macros']['%dist'] = ".hs+fb.el10"
+config_opts['macros']['%centos_hs'] = "1"
+config_opts['macros']['%facebook'] = "1"
diff --git a/mock/centos-stream-hyperscale-spin-10-aarch64.cfg b/mock/centos-stream-hyperscale-spin-10-aarch64.cfg
new file mode 100644
index 0000000..a8d2e76
--- /dev/null
+++ b/mock/centos-stream-hyperscale-spin-10-aarch64.cfg
@@ -0,0 +1,11 @@
+include('templates/centos-stream-10.tpl')
+# EPEL 10 is not available yet
+# include('templates/epel-10.tpl')
+include('templates/centos-stream-hyperscale-spin.tpl')
+
+config_opts['root'] = 'centos-stream-hyperscale-spin-10-aarch64'
+config_opts['target_arch'] = 'aarch64'
+config_opts['legal_host_arches'] = ('aarch64',)
+
+config_opts['macros']['%dist'] = ".hs.el10"
+config_opts['macros']['%centos_hs'] = "1"
diff --git a/mock/centos-stream-hyperscale-spin-10-x86_64.cfg b/mock/centos-stream-hyperscale-spin-10-x86_64.cfg
new file mode 100644
index 0000000..02d0e70
--- /dev/null
+++ b/mock/centos-stream-hyperscale-spin-10-x86_64.cfg
@@ -0,0 +1,11 @@
+include('templates/centos-stream-10.tpl')
+# EPEL 10 is not available yet
+# include('templates/epel-10.tpl')
+include('templates/centos-stream-hyperscale-spin.tpl')
+
+config_opts['root'] = 'centos-stream-hyperscale-spin-10-x86_64'
+config_opts['target_arch'] = 'x86_64'
+config_opts['legal_host_arches'] = ('x86_64',)
+
+config_opts['macros']['%dist'] = ".hs.el10"
+config_opts['macros']['%centos_hs'] = "1"

From 64b4a0691b7d86a394d0b225cb3af47cb42fbe0e Mon Sep 17 00:00:00 2001
From: Davide Cavalca <dcavalca@centosproject.org>
Date: Jun 13 2024 04:11:18 +0000
Subject: [PATCH 3/3] Drop configs and templates for CentOS Stream 8


---

diff --git a/mock/centos-stream-hyperscale-8-aarch64.cfg b/mock/centos-stream-hyperscale-8-aarch64.cfg
deleted file mode 100644
index 8ecee21..0000000
--- a/mock/centos-stream-hyperscale-8-aarch64.cfg
+++ /dev/null
@@ -1,11 +0,0 @@
-include('templates/centos-stream-8.tpl')
-include('templates/epel-8.tpl')
-include('templates/epel-next-8.tpl')
-include('templates/centos-stream-hyperscale-8.tpl')
-
-config_opts['root'] = 'centos-stream-hyperscale-8-aarch64'
-config_opts['target_arch'] = 'aarch64'
-config_opts['legal_host_arches'] = ('aarch64',)
-
-config_opts['macros']['%dist'] = ".hs.el8"
-config_opts['macros']['%centos_hs'] = "1"
diff --git a/mock/centos-stream-hyperscale-8-x86_64.cfg b/mock/centos-stream-hyperscale-8-x86_64.cfg
deleted file mode 100644
index 681ff61..0000000
--- a/mock/centos-stream-hyperscale-8-x86_64.cfg
+++ /dev/null
@@ -1,11 +0,0 @@
-include('templates/centos-stream-8.tpl')
-include('templates/epel-8.tpl')
-include('templates/epel-next-8.tpl')
-include('templates/centos-stream-hyperscale-8.tpl')
-
-config_opts['root'] = 'centos-stream-hyperscale-8-x86_64'
-config_opts['target_arch'] = 'x86_64'
-config_opts['legal_host_arches'] = ('x86_64',)
-
-config_opts['macros']['%dist'] = ".hs.el8"
-config_opts['macros']['%centos_hs'] = "1"
diff --git a/mock/centos-stream-hyperscale-experimental-8-aarch64.cfg b/mock/centos-stream-hyperscale-experimental-8-aarch64.cfg
deleted file mode 100644
index 7e6fd76..0000000
--- a/mock/centos-stream-hyperscale-experimental-8-aarch64.cfg
+++ /dev/null
@@ -1,11 +0,0 @@
-include('templates/centos-stream-8.tpl')
-include('templates/epel-8.tpl')
-include('templates/epel-next-8.tpl')
-include('templates/centos-stream-hyperscale-experimental-8.tpl')
-
-config_opts['root'] = 'centos-stream-hyperscale-experimental-8-aarch64'
-config_opts['target_arch'] = 'aarch64'
-config_opts['legal_host_arches'] = ('aarch64',)
-
-config_opts['macros']['%dist'] = ".hsx.el8"
-config_opts['macros']['%centos_hs'] = "1"
diff --git a/mock/centos-stream-hyperscale-experimental-8-x86_64.cfg b/mock/centos-stream-hyperscale-experimental-8-x86_64.cfg
deleted file mode 100644
index 07572fa..0000000
--- a/mock/centos-stream-hyperscale-experimental-8-x86_64.cfg
+++ /dev/null
@@ -1,11 +0,0 @@
-include('templates/centos-stream-8.tpl')
-include('templates/epel-8.tpl')
-include('templates/epel-next-8.tpl')
-include('templates/centos-stream-hyperscale-experimental-8.tpl')
-
-config_opts['root'] = 'centos-stream-hyperscale-experimental-8-x86_64'
-config_opts['target_arch'] = 'x86_64'
-config_opts['legal_host_arches'] = ('x86_64',)
-
-config_opts['macros']['%dist'] = ".hsx.el8"
-config_opts['macros']['%centos_hs'] = "1"
diff --git a/mock/centos-stream-hyperscale-facebook-8-aarch64.cfg b/mock/centos-stream-hyperscale-facebook-8-aarch64.cfg
deleted file mode 100644
index 89b4b12..0000000
--- a/mock/centos-stream-hyperscale-facebook-8-aarch64.cfg
+++ /dev/null
@@ -1,14 +0,0 @@
-include('templates/centos-stream-8.tpl')
-include('templates/epel-8.tpl')
-include('templates/epel-next-8.tpl')
-include('templates/centos-stream-hyperscale-8.tpl')
-include('templates/centos-stream-hyperscale-experimental-8.tpl')
-include('templates/centos-stream-hyperscale-facebook-8.tpl')
-
-config_opts['root'] = 'centos-stream-hyperscale-facebook-8-aarch64'
-config_opts['target_arch'] = 'aarch64'
-config_opts['legal_host_arches'] = ('aarch64',)
-
-config_opts['macros']['%dist'] = ".hs+fb.el8"
-config_opts['macros']['%centos_hs'] = "1"
-config_opts['macros']['%facebook'] = "1"
diff --git a/mock/centos-stream-hyperscale-facebook-8-x86_64.cfg b/mock/centos-stream-hyperscale-facebook-8-x86_64.cfg
deleted file mode 100644
index 02e50a0..0000000
--- a/mock/centos-stream-hyperscale-facebook-8-x86_64.cfg
+++ /dev/null
@@ -1,14 +0,0 @@
-include('templates/centos-stream-8.tpl')
-include('templates/epel-8.tpl')
-include('templates/epel-next-8.tpl')
-include('templates/centos-stream-hyperscale-8.tpl')
-include('templates/centos-stream-hyperscale-experimental-8.tpl')
-include('templates/centos-stream-hyperscale-facebook-8.tpl')
-
-config_opts['root'] = 'centos-stream-hyperscale-facebook-8-x86_64'
-config_opts['target_arch'] = 'x86_64'
-config_opts['legal_host_arches'] = ('x86_64',)
-
-config_opts['macros']['%dist'] = ".hs+fb.el8"
-config_opts['macros']['%centos_hs'] = "1"
-config_opts['macros']['%facebook'] = "1"
diff --git a/mock/centos-stream-hyperscale-spin-8-aarch64.cfg b/mock/centos-stream-hyperscale-spin-8-aarch64.cfg
deleted file mode 100644
index febba0a..0000000
--- a/mock/centos-stream-hyperscale-spin-8-aarch64.cfg
+++ /dev/null
@@ -1,11 +0,0 @@
-include('templates/centos-stream-8.tpl')
-include('templates/epel-8.tpl')
-include('templates/epel-next-8.tpl')
-include('templates/centos-stream-hyperscale-spin-8.tpl')
-
-config_opts['root'] = 'centos-stream-hyperscale-spin-8-aarch64'
-config_opts['target_arch'] = 'aarch64'
-config_opts['legal_host_arches'] = ('aarch64',)
-
-config_opts['macros']['%dist'] = ".hs.el8"
-config_opts['macros']['%centos_hs'] = "1"
diff --git a/mock/centos-stream-hyperscale-spin-8-x86_64.cfg b/mock/centos-stream-hyperscale-spin-8-x86_64.cfg
deleted file mode 100644
index acbf0cd..0000000
--- a/mock/centos-stream-hyperscale-spin-8-x86_64.cfg
+++ /dev/null
@@ -1,11 +0,0 @@
-include('templates/centos-stream-8.tpl')
-include('templates/epel-8.tpl')
-include('templates/epel-next-8.tpl')
-include('templates/centos-stream-hyperscale-spin-8.tpl')
-
-config_opts['root'] = 'centos-stream-hyperscale-spin-8-x86_64'
-config_opts['target_arch'] = 'x86_64'
-config_opts['legal_host_arches'] = ('x86_64',)
-
-config_opts['macros']['%dist'] = ".hs.el8"
-config_opts['macros']['%centos_hs'] = "1"
diff --git a/mock/templates/centos-stream-hyperscale-8.tpl b/mock/templates/centos-stream-hyperscale-8.tpl
deleted file mode 100644
index 87f2eff..0000000
--- a/mock/templates/centos-stream-hyperscale-8.tpl
+++ /dev/null
@@ -1,11 +0,0 @@
-config_opts['chroot_setup_cmd'] += " centos-release-hyperscale"
-
-config_opts['dnf.conf'] += """
-
-[Stream-hyperscale]
-name=CentOS Stream $releasever - Hyperscale
-baseurl=http://mirror.centos.org/centos/$releasever-stream/hyperscale/$basearch/packages-main/
-gpgcheck=1
-enabled=1
-gpgkey=file:///usr/share/distribution-gpg-keys/centos/RPM-GPG-KEY-CentOS-SIG-HyperScale
-"""
diff --git a/mock/templates/centos-stream-hyperscale-experimental-8.tpl b/mock/templates/centos-stream-hyperscale-experimental-8.tpl
deleted file mode 100644
index 3a90c9c..0000000
--- a/mock/templates/centos-stream-hyperscale-experimental-8.tpl
+++ /dev/null
@@ -1,11 +0,0 @@
-config_opts['chroot_setup_cmd'] += " centos-release-hyperscale-experimental"
-
-config_opts['dnf.conf'] += """
-
-[Stream-hyperscale-experimental]
-name=CentOS Stream $releasever - Hyperscale Experimental
-baseurl=http://mirror.centos.org/centos/$releasever-stream/hyperscale/$basearch/packages-experimental/
-gpgcheck=1
-enabled=1
-gpgkey=file:///usr/share/distribution-gpg-keys/centos/RPM-GPG-KEY-CentOS-SIG-HyperScale
-"""
diff --git a/mock/templates/centos-stream-hyperscale-facebook-8.tpl b/mock/templates/centos-stream-hyperscale-facebook-8.tpl
deleted file mode 100644
index fbb2f89..0000000
--- a/mock/templates/centos-stream-hyperscale-facebook-8.tpl
+++ /dev/null
@@ -1,9 +0,0 @@
-config_opts['dnf.conf'] += """
-
-[Stream-hyperscale-facebook]
-name=CentOS Stream $releasever - Hyperscale Facebook
-baseurl=http://mirror.centos.org/centos/$releasever-stream/hyperscale/$basearch/packages-facebook/
-gpgcheck=1
-enabled=1
-gpgkey=file:///usr/share/distribution-gpg-keys/centos/RPM-GPG-KEY-CentOS-SIG-HyperScale
-"""
diff --git a/mock/templates/centos-stream-hyperscale-spin-8.tpl b/mock/templates/centos-stream-hyperscale-spin-8.tpl
deleted file mode 100644
index b944731..0000000
--- a/mock/templates/centos-stream-hyperscale-spin-8.tpl
+++ /dev/null
@@ -1,11 +0,0 @@
-config_opts['chroot_setup_cmd'] += " centos-release-hyperscale-spin"
-
-config_opts['dnf.conf'] += """
-
-[Stream-hyperscale-spin]
-name=CentOS Stream $releasever - Hyperscale Spin
-baseurl=http://mirror.centos.org/centos/$releasever-stream/hyperscale/$basearch/packages-spin/
-gpgcheck=1
-enabled=1
-gpgkey=file:///usr/share/distribution-gpg-keys/centos/RPM-GPG-KEY-CentOS-SIG-HyperScale
-"""

